      implicit none

c     Dclaration des includes HDF
      include 'hdf.inc'
      include 'icadffunc.inc'
      include 'netcdf.inc'

c     Dclaration des arguments et/ou variables locales (selon la procdure)
      character*(*)
     +     hdf_file,            ! Chemin du fichier HDF
     +     sds_name             ! Nom du SDS  extraire

      character*(MAXNCNAM)
     +     att_name(1)          ! Noms des attributs du SDS

      integer
     +     n,                   ! Nombre d'lments du tableau fourni
     +     dtype,               ! Type de donne du tableau fourni
     +     ctype,               ! Type de donne du SDS extrait
     +     utype,               ! Type de donne dcalibre du SDS extrait
     +     rank,                ! Nombre de dimensions du SDS extrait
     +     dimsizes(MAXNCDIM),  ! Valeurs des dimensions du SDS extrait
     +     nval,                ! Nombre de valeurs du SDS extrait
     +     nd,                  ! Nombre de dimensions du tableau fourni
     +     action,              ! Action  effectuer
     +     natt,                ! Nombre d'attributs du SDS
     +     nattnam,             ! Dimension du tableau att_name
     +     dims(MAXNCDIM)       ! Valeurs des dimensions du tableau fourni

      byte
     +     data(1)              ! Tableau fourni pour stocker les donnes du SDS

      logical
     +     clbsw                ! Flag de retour: vrai ssi SDS calibr

      real*8
     +     clb(4)               ! Coefficients de calibration des donnes
                                ! extraites; dans l'ordre: pente, erreur sur la
                                ! pente, offset, erreur sur l'offset

c     Dclaration de fonctions
      integer
     +     hgsds__,             ! Fonction gnrique d'extraction d'un SDS
     +     htypsize,            ! Retourne la taille en octets d'un type HDF
     +     arrsiz__             ! Retourne le nombre d'lments d'un tableau

      logical
     +     errstd__,            ! Fonction de test d'erreur standard
     +     errhdf__             ! Fonction de test d'erreur HDF

      real*8
     +     dft_dclb,            ! Fonction de dcalibration par dfaut
     +     cal_func             ! Fonction de dcalibration de l'utilisateur

      external dft_dclb
     
